List graphs
GET/graphs
Returns the graphs this key can read: your account’s live shares, most recently active first.
Each graph’s counts are as of its own latest event.
List graphs
curl https://agentgraph.chofter.com/api/v1/graphs \
-H "Authorization: Bearer $AGENT_GRAPH_API_KEY"{
"object": "list",
"url": "/api/v1/graphs",
"as_of_event_id": null,
"has_more": false,
"data": [
{
"id": "gph_k3P9xQ2mWt7a",
"object": "graph",
"as_of_event_id": "evt_01M4G3G4E8Q9R2M5X4T6W8Y0B1",
"source": "watch",
"url": "https://agentgraph.chofter.com/l/k3P9xQ2mWt7a",
"created": 1790959209012,
"last_event": 1791541907912,
"retention": {
"first_event_id": "evt_01M4FXYWR82B8XK0V5QJ7M1N3R",
"last_event_id": "evt_01M4G3G4E8Q9R2M5X4T6W8Y0B1",
"first_event_created": 1791536100104,
"last_event_created": 1791541907912,
"event_count": 1638
},
"counts": {
"nodes": 214,
"sessions": 9,
"agents": 205,
"stale": 1,
"blocked": 6,
"by_state": {
"working": 7,
"input_required": 1,
"idle": 3,
"completed": 198,
"failed": 4,
"canceled": 1
}
}
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "Invalid limit: must be between 1 and 1000.",
"param": "limit",
"doc_url": "https://agentgraph.chofter.com/docs/reference#errors"
}
}{
"error": {
"type": "invalid_request_error",
"code": "expand_too_deep",
"message": "The path children.children.children.children.children goes 5 levels deep; at most 4 are allowed.",
"param": "expand",
"doc_url": "https://agentgraph.chofter.com/docs/reference#errors"
}
}{
"error": {
"type": "authentication_error",
"code": "api_key_invalid",
"message": "Invalid API key: ag_sk_live_****Xa9T.",
"param": null,
"doc_url": "https://agentgraph.chofter.com/docs/reference#errors"
}
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limit",
"message": "Too many requests. Try again in 1 second.",
"param": null,
"doc_url": "https://agentgraph.chofter.com/docs/reference#errors"
}
}{
"error": {
"type": "api_error",
"code": "api_error",
"message": "Something went wrong. Try again, and include the Request-Id if it keeps happening.",
"param": null,
"doc_url": "https://agentgraph.chofter.com/docs/reference#errors"
}
}Returns Examples
{
"object": "list",
"url": "/api/v1/graphs",
"as_of_event_id": null,
"has_more": false,
"data": [
{
"id": "gph_k3P9xQ2mWt7a",
"object": "graph",
"as_of_event_id": "evt_01M4G3G4E8Q9R2M5X4T6W8Y0B1",
"source": "watch",
"url": "https://agentgraph.chofter.com/l/k3P9xQ2mWt7a",
"created": 1790959209012,
"last_event": 1791541907912,
"retention": {
"first_event_id": "evt_01M4FXYWR82B8XK0V5QJ7M1N3R",
"last_event_id": "evt_01M4G3G4E8Q9R2M5X4T6W8Y0B1",
"first_event_created": 1791536100104,
"last_event_created": 1791541907912,
"event_count": 1638
},
"counts": {
"nodes": 214,
"sessions": 9,
"agents": 205,
"stale": 1,
"blocked": 6,
"by_state": {
"working": 7,
"input_required": 1,
"idle": 3,
"completed": 198,
"failed": 4,
"canceled": 1
}
}
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "Invalid limit: must be between 1 and 1000.",
"param": "limit",
"doc_url": "https://agentgraph.chofter.com/docs/reference#errors"
}
}{
"error": {
"type": "invalid_request_error",
"code": "expand_too_deep",
"message": "The path children.children.children.children.children goes 5 levels deep; at most 4 are allowed.",
"param": "expand",
"doc_url": "https://agentgraph.chofter.com/docs/reference#errors"
}
}{
"error": {
"type": "authentication_error",
"code": "api_key_invalid",
"message": "Invalid API key: ag_sk_live_****Xa9T.",
"param": null,
"doc_url": "https://agentgraph.chofter.com/docs/reference#errors"
}
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limit",
"message": "Too many requests. Try again in 1 second.",
"param": null,
"doc_url": "https://agentgraph.chofter.com/docs/reference#errors"
}
}{
"error": {
"type": "api_error",
"code": "api_error",
"message": "Something went wrong. Try again, and include the Request-Id if it keeps happening.",
"param": null,
"doc_url": "https://agentgraph.chofter.com/docs/reference#errors"
}
}